Package org.eclipse.net4j.connector

# Class ConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.connector.ConnectorException

All Implemented Interfaces:
  `Serializable`

public class ConnectorException extends RuntimeException
Thrown by an `IConnector` to indicate connection problems.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConnectorException()`
`ConnectorException(String message)`
`ConnectorException(String message, Throwable cause)`
`ConnectorException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectorException

public ConnectorException()

### ConnectorException

public ConnectorException(String message)

### ConnectorException

public ConnectorException(Throwable cause)

### ConnectorException

public ConnectorException(String message, Throwable cause)